POST
https://api.applivery.io/v1/auth/register/update-password
curl -X POST "https://api.applivery.io/v1/auth/register/update-password" \
-H "Authorization: Bearer <YOUR_API_KEY>" \
-H "Content-Type: application/json" \
-d '{
"password": "string",
"newPassword": "string"
}'const response = await fetch("https://api.applivery.io/v1/auth/register/update-password", {
method: "POST",
headers: {
Authorization: "Bearer <YOUR_API_KEY>",
"Content-Type": "application/json",
},
body: JSON.stringify({
"password": "string",
"newPassword": "string"
}),
});
const data = await response.json();import requests
response = requests.post(
"https://api.applivery.io/v1/auth/register/update-password",
headers={"Authorization": "Bearer <YOUR_API_KEY>"},
json={
"password": "string",
"newPassword": "string"
},
)
data = response.json()Request
Send your API key in the request header
authorization
Example:
Authorization: Bearer <token>
Body Params
application/json
password
string
required
newPassword
string
required
{
"password": "string",
"newPassword": "string"
}
Responses
200 Response
application/json
status
boolean
optional
data
object
optional
done
boolean
optional
message
string
optional
{
"status": true,
"data": {
"done": true,
"message": "string"
}
}
400 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 5057,
"message": "Insufficient Password Complexity"
}
}
401 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 4002,
"message": "No auth token"
}
}
403 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 4006,
"message": "Invalid Credentials"
}
}